# Amcharts-Js (Unsupported)

`amcharts-js` is a gem for create custom charts and maps with the [AM**CHARTS**](https://www.amcharts.com) library

## Installation

Add this line to your application's Gemfile:

```ruby
gem 'amcharts-js'
```

And then execute:

```console
$ bundle
```

Or install it yourself as:

```console
$ gem install amcharts-js
```

## Usage

Just add this to application.rb to import all amcharts features (Charts, Stock Charts and Maps):
```javascript
//=require amcharts-js
```

If you only want use some of the 3 features use:

For Charts:
```javascript
//=require amcharts
```

For Sctock Charts:
```javascript
//=require amsctockchart
```

For Maps:
```javascript
//=require ammap
```

## Getting Started with Amcharts

The best guide for getting started and learn how Amcharts works:
[Your first chart](https://www.amcharts.com/tutorials/your-first-chart-with-amcharts)

Amcharts recomendation to use the live editor [LIVE EDITOR](http://live.amcharts.com):
  > Since the launch of our super-powerful [LIVE EDITOR](http://live.amcharts.com) we recommend starting building the chart using it. No more coding, no mistypes. WYSIWYG charts are available now!

Guides and Tutoriales:
- [Tutorials](https://www.amcharts.com/tutorials/)
- [Charts API](https://docs.amcharts.com/3/javascriptcharts)
- [Stock Charts API](https://docs.amcharts.com/3/javascriptstockchart)
- [Maps API](https://docs.amcharts.com/3/javascriptmaps)
- [Quick Tips](http://www.amcharts.com/tips/)

## Contributing

Wanna contribute?
- Submit Isuess with bug reports
- Fork this repo and make the pull request
- Or just tell me your idea: @andres_code on [Telegram](https://telegram.org/)

## License

The gem is available as open source under the terms of the [MIT License](http://opensource.org/licenses/MIT).

