# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'amcharts-js/version'

Gem::Specification.new do |spec|
  spec.name          = "amcharts-js"
  spec.version       = Amcharts::Js::VERSION
  spec.authors       = ["code-andres"]
  spec.email         = ["andresmanuel.p23@gmail.com"]

  spec.summary        = %q{Amcharts v3 for rails.}
  spec.description   = %q{Use amcharts-js in your rails assets pipeline.}
  spec.homepage      = %q{https://github.com/code-andres/amcharts-js}
  spec.license       = "MIT"

  # Prevent pushing this gem to RubyGems.org. To allow pushes either set the 'allowed_push_host'
  # to allow pushing to a single host or delete this section to allow pushing to any host.
  if spec.respond_to?(:metadata)
    spec.metadata['allowed_push_host'] = "https://rubygems.org"
  else
    raise "RubyGems 2.0 or newer is required to protect against public gem pushes."
  end

  spec.files         = `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  spec.add_development_dependency "bundler", "~> 1.12"
  spec.add_development_dependency "rake", "~> 10.0"
end
